GNU bug report logs - #55405
Image API produces incorrect images

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Pavel Shlyak <shlyakpavel@HIDDEN>; merged with #55406; dated Fri, 13 May 2022 23:01:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 55405 55406. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 55405 55406. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 May 2022 23:00:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 19:00:30 2022
Received: from localhost ([127.0.0.1]:45286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npeGs-0007Dv-2D
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 19:00:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:39884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shlyakpavel@HIDDEN>) id 1npchh-00044Z-Mp
 for submit <at> debbugs.gnu.org; Fri, 13 May 2022 17:20:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36756)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shlyakpavel@HIDDEN>)
 id 1npchh-0005o1-3x
 for bug-guix@HIDDEN; Fri, 13 May 2022 17:20:05 -0400
Received: from mail-ej1-x631.google.com ([2a00:1450:4864:20::631]:41604)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <shlyakpavel@HIDDEN>)
 id 1npchf-0001Qf-JO
 for bug-guix@HIDDEN; Fri, 13 May 2022 17:20:04 -0400
Received: by mail-ej1-x631.google.com with SMTP id dk23so18474980ejb.8
 for <bug-guix@HIDDEN>; Fri, 13 May 2022 14:20:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:content-transfer-encoding:mime-version:subject:message-id:date
 :to; bh=kzA1IRWdofuDJLdSKwc4BfwVs4L0tq9SkNdkAgRJeb0=;
 b=C8rBDGIixZvovvm/htPlJKvbMbOWAz3sppKqXHMKOCfeLj2X2PXQ/uamwns3Il7N0b
 lOq66wY2OG0/7U9DH3f7LorJeJWddEIa7KWJ/1Y9UmysNnGem1cRzGdtzFSzUibTt9AH
 IIbgTyfTRL67YTKBI2teIfNAMVVe3xRnw2lAjryVNQZFcr8odiezF2XLtYHBuOiMP1Ju
 M+y8VHz86CQP7ahumSJMQzfvby7Xh5TmPiFjJTDJImHTAnf0pngO75ubfY0t9NVYmfhq
 vX+Bw8VutzOJJO9LLWF8JMLltUL+YREGK2Mp/5ql+/oMKL4xG6sFMN6aVHRPUmKRkesP
 wvuA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:message-id:date:to;
 bh=kzA1IRWdofuDJLdSKwc4BfwVs4L0tq9SkNdkAgRJeb0=;
 b=C+o2yzo6jWKW68p2gDvrrlH5qXGqOEVOpUggigivHgt5hNvBC0fXuo2ie0Xu6bDfS/
 iA3Npm15YT7Ypwy+rUpIu4c5CgDCYL98frHSi2p0lvtIy5Oy6ib8FBvbRcR5J20SKnQZ
 H+U3ta4ePtUf29c10UmlC+KD8o+kzZcVRQSq1qhxozc23tO8gnuj+w8Vqgpia1kX2wx+
 hzoGlnhxbn09qCDZ10j7p5GMFbxX82q6lxSOKZM9q0akqazrJEmOK3uqVBhMIJcqjj50
 afpLABpX3h7ZUkCuXxPcpJO4B58GAPScppIXy4zLUXZ+aZEsknDJPklhIZy70MJR+m3M
 V/QA==
X-Gm-Message-State: AOAM531RBaoZCKNMvnJfEElpuoid34sBaJ66vthqZb7Pn/C7JIYKRJ7W
 7HxE6z3XKF7t+UQQenVuZFSMaR84XzHXGr43
X-Google-Smtp-Source: ABdhPJxpQeHpCYPhyNaRSniLyEGOGHRHsXZhrQNfBEpNta1ItnhYhGHL/6RdIYqr4U7yvXa1Vz9Bkg==
X-Received: by 2002:a17:906:dc93:b0:6f4:6a93:f227 with SMTP id
 cs19-20020a170906dc9300b006f46a93f227mr5900019ejc.661.1652476801056; 
 Fri, 13 May 2022 14:20:01 -0700 (PDT)
Received: from smtpclient.apple ([31.141.85.74])
 by smtp.gmail.com with ESMTPSA id
 og32-20020a1709071de000b006f3ef214db9sm1125341ejc.31.2022.05.13.14.19.59
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 13 May 2022 14:20:00 -0700 (PDT)
From: Pavel Shlyak <shlyakpavel@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.80.82.1.1\))
Subject: Image API produces incorrect images
Message-Id: <BD91003D-0D78-4B7A-924D-35FEEC7A4BFD@HIDDEN>
Date: Sat, 14 May 2022 00:19:58 +0300
To: bug-guix@HIDDEN
X-Mailer: Apple Mail (2.3696.80.82.1.1)
Received-SPF: pass client-ip=2a00:1450:4864:20::631;
 envelope-from=shlyakpavel@HIDDEN; helo=mail-ej1-x631.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 13 May 2022 19:00:29 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I have a scheme code like

(define rpi-boot-partition
(partition
(size (* 128 (expt 2 20)))
(label "BOOT")
(file-system "vfat")
(flags '())
(initializer (gexp initialize-efi-partition))))

(define rpi-root-partition
(partition
(size 'guess)
(label "RASPIROOT")
(file-system "ext4")
(flags '(boot))
(initializer (gexp initialize-root-partition))))

(define raspberry-pi-image
(image
(format 'disk-image)
(partitions (list rpi-boot-partition rpi-root-partition))))

The output is like that:
$ fdisk -l =
/gnu/store/hnsfs5a161f5hvymg7ar541qrml62yvv-raspberry-pi-barebones-raw-ima=
ge
Device                                                                   =
     Boot  Start     End Sectors  Size Id Type
=
/gnu/store/hnsfs5a161f5hvymg7ar541qrml62yvv-raspberry-pi-barebones-raw-ima=
ge1           1  262144  262144  128M 83 Linux
=
/gnu/store/hnsfs5a161f5hvymg7ar541qrml62yvv-raspberry-pi-barebones-raw-ima=
ge2      262145 3583688 3321544  1.6G 83 Linux=09

No boot flag is set on the first partition. The file system seems to be =
incorrect (ext* instead of vfat)=




Acknowledgement sent to Pavel Shlyak <shlyakpavel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#55405; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 14 May 2022 09:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.